<?php

namespace App\Providers;

use App\Services\Yard;
use Illuminate\Support\ServiceProvider;

class YardServiceProvider extends ServiceProvider
{
    public function boot()
    {
        //
    }

    /**
     * Register the application services.
     *
     * @return void
     */

    public function register()
    {
        $this->app->singleton(Yard::class, function ($app) {
            return new Yard($app['session'], $app['events']);
        });


    }

}